Bash-wrapper-functions: Difference between revisions
Jump to navigation
Jump to search
Line 9: | Line 9: | ||
Functionality: | Functionality: | ||
* Build a classpath based on the JAR content of a repository. | * Build a classpath based on the JAR content of a repository. | ||
=Usage= | |||
Copy <tt></tt> in the bin directory and refer it as following: | |||
[ -f $(dirname $0)/bash-wrapper-functions ] && . $(dirname $0)/bash-wrapper-functions || { echo "$(dirname $0)/bash-wrapper-functions not found" 1>&2; exit 1; } |
Revision as of 20:28, 29 June 2017
Internal
Overview
A project that offers common bash wrapper functionality in form of a single function file to be sourced in the main wrapper.
Functionality:
- Build a classpath based on the JAR content of a repository.
Usage
Copy in the bin directory and refer it as following:
[ -f $(dirname $0)/bash-wrapper-functions ] && . $(dirname $0)/bash-wrapper-functions || { echo "$(dirname $0)/bash-wrapper-functions not found" 1>&2; exit 1; }